Skip to content

Get contact

Request

Returns a single Contact by its unique identifier.

Security
bearer
Path
siteIdnumberrequired

Site identifier

contactIdstringrequired

Contact unique identifier (UUID)

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/contact/{contactId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Contact found

Bodyapplication/json
businessNamestringrequired

Registered or trading name if the contact is a business.

Example:"Example Name"
codestringrequired

Practice-specific human-readable contact code.

Example:"CODE-001"
contactDetailsArray of objects(ContactDetailDto)required

List of contact details such as phone numbers and email addresses.

contactIdstringrequired

Canonical unique identifier for the contact.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)required

Timestamp when the contact was created.

Example:"2025-01-01T00:00:00.000Z"
creditStatusstringrequired

Credit status for the contact.

Enum:"OK""WARNING""STOP"
Example:"OK"
birthDatestring, (date-time)required

Date of birth of the contact, if applicable.

Example:"2025-01-01T00:00:00Z"
driverLicenseExpiryDatestring, (date-time)required

Expiry date of the driver license.

Example:"2025-01-01T00:00:00Z"
driverLicenseIssuerstringrequired

Issuing authority or jurisdiction for the driver license.

Example:"https://example.com"
driverLicenseNumberstringrequired

Driver license number, if captured.

Example:"example"
extensionsobjectrequired

Vendor- or practice-specific extensions.

firstNamestringrequired

Given name of the contact.

Example:"Example Name"
isBusinessbooleanrequired

True if the contact represents a business entity.

Example:true
isCustomerbooleanrequired

True if the contact is a customer.

Example:true
isStaffMemberbooleanrequired

True if the contact is a staff member of the practice.

Example:true
isSupplierbooleanrequired

True if the contact is a supplier.

Example:true
isSyndicatebooleanrequired

True if the contact is a syndicate or group owner.

Example:true
isVetbooleanrequired

True if the contact is a veterinarian.

Example:true
lastNamestringrequired

Family name of the contact.

Example:"Example Name"
ownershipIdstringrequired

Identifier for the owning organization or business unit.

Example:"123e4567-e89b-12d3-a456-426614174000"
physicalAddressstringrequired

Primary physical address for the contact.

Example:"example"
postalAddressstringrequired

Primary postal/mailing address for the contact.

Example:"example"
updatedAtstring, (date-time)required

Timestamp when the contact was last updated.

Example:"2025-01-01T00:00:00.000Z"
creditStatusConceptobject(CodeableConceptDto)required

Coded representation of the contact's credit status using an extensible vocabulary.

Response
{ "businessName": "Example Name", "code": "CODE-001", "contactDetails": [ { … } ], "contactId": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2025-01-01T00:00:00.000Z", "creditStatus": "OK", "birthDate": "2025-01-01T00:00:00Z", "driverLicenseExpiryDate": "2025-01-01T00:00:00Z", "driverLicenseIssuer": "https://example.com", "driverLicenseNumber": "example", "extensions": {}, "firstName": "Example Name", "isBusiness": true, "isCustomer": true, "isStaffMember": true, "isSupplier": true, "isSyndicate": true, "isVet": true, "lastName": "Example Name", "ownershipId": "123e4567-e89b-12d3-a456-426614174000", "physicalAddress": "example", "postalAddress": "example", "updatedAt": "2025-01-01T00:00:00.000Z", "creditStatusConcept": { "code": "12345", "system": "http://example.com/codesystem", "display": "Example Display Name" } }